package cn.ibizlab.api.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[IBZDictItemDTO]
 */
@Data
public class IBZDictItemDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [IBZDICTITEMID]
     *
     */
    @JSONField(name = "itemid")
    @JsonProperty("itemid")
    private String itemid;

    /**
     * 属性 [IBZDICTITEMNAME]
     *
     */
    @JSONField(name = "itemname")
    @JsonProperty("itemname")
    private String itemname;

    /**
     * 属性 [DICTITEMVAL]
     *
     */
    @JSONField(name = "itemval")
    @JsonProperty("itemval")
    private String itemval;

    /**
     * 属性 [DICTID]
     *
     */
    @JSONField(name = "dictid")
    @JsonProperty("dictid")
    private String dictid;

    /**
     * 属性 [PITEMVAL]
     *
     */
    @JSONField(name = "pitemval")
    @JsonProperty("pitemval")
    private String pitemval;

    /**
     * 属性 [ITEMFILTER]
     *
     */
    @JSONField(name = "itemfilter")
    @JsonProperty("itemfilter")
    private String itemfilter;

    /**
     * 属性 [ITEMCLS]
     *
     */
    @JSONField(name = "itemcls")
    @JsonProperty("itemcls")
    private String itemcls;

    /**
     * 属性 [ITEMICON]
     *
     */
    @JSONField(name = "itemicon")
    @JsonProperty("itemicon")
    private String itemicon;

    /**
     * 属性 [SHOWORDER]
     *
     */
    @JSONField(name = "showorder")
    @JsonProperty("showorder")
    private Integer showorder;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;


    /**
     * 设置 [IBZDICTITEMNAME]
     */
    public void setItemname(String  itemname){
        this.itemname = itemname ;
        this.modify("ibzdictitemname",itemname);
    }

    /**
     * 设置 [DICTITEMVAL]
     */
    public void setItemval(String  itemval){
        this.itemval = itemval ;
        this.modify("dictitemval",itemval);
    }

    /**
     * 设置 [DICTID]
     */
    public void setDictid(String  dictid){
        this.dictid = dictid ;
        this.modify("dictid",dictid);
    }

    /**
     * 设置 [PITEMVAL]
     */
    public void setPitemval(String  pitemval){
        this.pitemval = pitemval ;
        this.modify("pitemval",pitemval);
    }

    /**
     * 设置 [ITEMFILTER]
     */
    public void setItemfilter(String  itemfilter){
        this.itemfilter = itemfilter ;
        this.modify("itemfilter",itemfilter);
    }

    /**
     * 设置 [ITEMCLS]
     */
    public void setItemcls(String  itemcls){
        this.itemcls = itemcls ;
        this.modify("itemcls",itemcls);
    }

    /**
     * 设置 [ITEMICON]
     */
    public void setItemicon(String  itemicon){
        this.itemicon = itemicon ;
        this.modify("itemicon",itemicon);
    }

    /**
     * 设置 [SHOWORDER]
     */
    public void setShoworder(Integer  showorder){
        this.showorder = showorder ;
        this.modify("showorder",showorder);
    }


}

